CVE-2006-1505
CVSS5.0
发布时间 :2006-03-29 20:06:00
修订时间 :2011-03-07 21:33:13
NMCOS    

[原文]base_maintenance.php in Basic Analysis and Security Engine (BASE) before 1.2.4 (melissa), when running in standalone mode, allows remote attackers to bypass authentication, possibly by setting the standalone parameter to "yes".


[CNNVD]基本分析和之前引擎Base_maintenance.PHP身份验证绕过漏洞(CNNVD-200603-485)

        在基本分析和安全引擎(BASE) 1.2.4 (melissa)之前版本中的base_maintenance.php,当处于standalone模式运行时,远程攻击者可能通过将standalone参数设置成"yes"以绕过身份验证程序。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:basic_analysis_and_security_engine:base:1.1_elizabeth
cpe:/a:basic_analysis_and_security_engine:base:1.2.1_kris
cpe:/a:basic_analysis_and_security_engine:base:1.2.2_cindy
cpe:/a:basic_analysis_and_security_engine:base:1.1.4_cheryl
cpe:/a:basic_analysis_and_security_engine:base:1.2_betty
cpe:/a:basic_analysis_and_security_engine:base:1.1.3_lynn
cpe:/a:basic_analysis_and_security_engine:base:1.1.2_zora

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1505
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1505
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200603-485
(官方数据源) CNNVD

- 其它链接及资源

http://www.osvdb.org/24101
(VENDOR_ADVISORY)  OSVDB  24101
http://www.vupen.com/english/advisories/2006/1192
(UNKNOWN)  VUPEN  ADV-2006-1192
http://cvs.sourceforge.net/viewcvs.py/secureideas/base-php4/docs/CHANGELOG?rev=1.233&view=markup
(UNKNOWN)  CONFIRM  http://cvs.sourceforge.net/viewcvs.py/secureideas/base-php4/docs/CHANGELOG?rev=1.233&view=markup
http://www.securityfocus.com/bid/17354
(UNKNOWN)  BID  17354
http://secunia.com/advisories/19510
(UNKNOWN)  SECUNIA  19510

- 漏洞信息

基本分析和之前引擎Base_maintenance.PHP身份验证绕过漏洞
中危 设计错误
2006-03-29 00:00:00 2006-03-30 00:00:00
远程  
        在基本分析和安全引擎(BASE) 1.2.4 (melissa)之前版本中的base_maintenance.php,当处于standalone模式运行时,远程攻击者可能通过将standalone参数设置成"yes"以绕过身份验证程序。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        BASE Basic Analysis and Security Engine 1.2 BASE base-1.2.4
        http://sourceforge.net/project/showfiles.php?group_id=103348&package_id=128846&release_id=402956
        BASE Basic Analysis and Security Engine 1.2.1
        BASE base-1.2.4
        http://sourceforge.net/project/showfiles.php?group_id=103348&package_id=128846&release_id=402956
        BASE Basic Analysis and Security Engine 1.2.2
        BASE base-1.2.4
        http://sourceforge.net/project/showfiles.php?group_id=103348&package_id=128846&release_id=402956
        

- 漏洞信息

24101
Basic Analysis and Security Engine (BASE) base_maintenance.php Authentication Bypass
Remote / Network Access Input Manipulation
Loss of Confidentiality Upgrade
Exploit Public Vendor Verified

- 漏洞描述

Basic Analysis and Security Engine (BASE) contains a flaw that may allow a malicious user to bypass BASE built in authentication system for the base_maintenance.php script. The issue is due to the broken "AuthenticateNoCookie()" function which is used in standalone mode. It is possible that the flaw may allow access to base_maintenance.php page resulting in a loss of confidentiality.

- 时间线

2006-02-26 2006-02-26
2006-03-24 Unknow

- 解决方案

Upgrade to version 1.2.4 (melissa) or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Basic Analysis and Security Engine Base_maintenance.PHP Authentication Bypass Vulnerability
Design Error 17354
Yes No
2006-04-03 12:00:00 2006-04-03 10:13:00
Announced by the vendor.

- 受影响的程序版本

BASE Basic Analysis and Security Engine 1.2.2
BASE Basic Analysis and Security Engine 1.2.1
BASE Basic Analysis and Security Engine 1.2
BASE Basic Analysis and Security Engine 1.2.4

- 不受影响的程序版本

BASE Basic Analysis and Security Engine 1.2.4

- 漏洞讨论

Basic Authentication and Security Engine is prone to an unspecified authentication-bypass vulnerability. An attacker could exploit this to gain unauthorized access to sensitive information.

BASE versions prior to 1.2.4 are prone to this issue.

- 漏洞利用


This issue could be exploited with a web client.

- 解决方案


A fix is available:


BASE Basic Analysis and Security Engine 1.2

BASE Basic Analysis and Security Engine 1.2.1

BASE Basic Analysis and Security Engine 1.2.2

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站